org.apache.felix.gogo.runtime

## Class SyntaxError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.felix.gogo.runtime.SyntaxError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EOFError

    public class SyntaxError
    extends RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SyntaxError(int line, int column, String message)`
`SyntaxError(int line, int column, String message, Token statement)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `column()`
`int` `line()`
`Token` `statement()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxError

    public SyntaxError(int line,
                       int column,
                       String message)

#### SyntaxError

    public SyntaxError(int line,
                       int column,
                       String message,
                       Token statement)

### Method Detail

#### column

    public int column()

#### line

    public int line()

#### statement

    public Token statement()